Subject: [Emu] AD review of draft-ietf-emu-rfc5448bis-06

From: Roman Danyliw <[email-masked]>
Date: Wed, 15 Jan 2020 22:23:57 +0000

Hello!

I conducted an AD review of draft-ietf-emu-rfc5448bis-06 and this document is in good shape.  Thanks for all of the work on it.  I have minor questions and editorial nits which can be addressed with the IETF Last Call feedback.

Minor:
-- Can you revisit the history -- why was RFC4187 informational?  I'm guessing this draft is informational because it updates RFC4187, right?

-- Section 7.1.  Per "The use of pseudonyms in this situation is at best limited" - unclear to me what this means?  Is this say that pseudonyms is not recommended because the re-use is creates a tracking opportunity (per the next sentence)?

-- Section 7.1.  Per "Outside 5G, there is a full choice to use ...", what is a "full choice"?

Editorial Nits:

-- Section 1.  s/EAP-AKA' is also an algorithm update for the used hash functions./EAP-AKA' also updates the algorithm used in the hash functions./

-- Section 1.  s/The update ensures/This update ensures/

-- Section 1.  Typo. s/how how/how/

-- Section 3.5.  Consider giving the table an explicit number (e.g., Table 1) and s/The attribute table is shown below/The attribute table is shown in Table 1./

-- Section 5.2.  s/However, to ensure privacy/However, to enhance privacy/ -- there is no "absolute privacy".

-- Section 5.2. s/for at attacker/for an attacker/

-- Section 7.3.  s/an backwards/a backwards/

Regards,
Roman

---

From: Joseph Salowey <[email-masked]>
Date: Wed, 15 Jan 2020 19:07:50 -0800

On Wed, Jan 15, 2020 at 2:24 PM Roman Danyliw <[email-masked]> wrote:

> Hello!
>
> I conducted an AD review of draft-ietf-emu-rfc5448bis-06 and this document
> is in good shape.  Thanks for all of the work on it.  I have minor
> questions and editorial nits which can be addressed with the IETF Last Call
> feedback.
>
> Minor:
> -- Can you revisit the history -- why was RFC4187 informational?  I'm
> guessing this draft is informational because it updates RFC4187, right?
>
>
[Joe] From what I remember EAP-AKA and EAP-SIM were information because the
core authentication algorithms and protocols are defined and under the
control of 3GPP.  You can't implement this spec without those specs, which
may imply some intellectual property rights and restrictions.  The updates
to these documents have kept the informational status.

> -- Section 7.1.  Per "The use of pseudonyms in this situation is at best
> limited" - unclear to me what this means?  Is this say that pseudonyms is
> not recommended because the re-use is creates a tracking opportunity (per
> the next sentence)?
>
> -- Section 1.  s/EAP-AKA' is also an algorithm update for the used hash
> functions./EAP-AKA' also updates the algorithm used in the hash functions./
>
> -- Section 3.5.  Consider giving the table an explicit number (e.g., Table
> 1) and s/The attribute table is shown below/The attribute table is shown in
> Table 1./
>
> _______________________________________________
> Emu mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/emu
>